Name:		wmakerconf
Version:	2.12
Release:	%mkrel 20
Summary:	WMakerConf is a configuration utility for WindowMaker
License:	GPL
Group:		Graphical desktop/WindowMaker
URL:		https://wmakerconf.sourceforge.net/
Source0:	https://downloads.sourceforge.net/wmakerconf/%{name}_%{version}.tar.gz
Patch0:		wmakerconf.src.error.c.patch
Patch1:		wmakerconf.configure.patch
Patch2:		wmakerconf-2.12-format-string.patch
Patch3:		wmakerconf-2.12-wmwriteproplisttofile.patch
Patch4:		wmakerconf-2.12-gettext.patch
Patch5:		wmakerconf-2.12-po.patch
Patch6:		wmakerconf-2.12-segfault.patch
Patch7:		wmakerconf-2.12-gtk-flags.patch
Patch8:         wmakerconf-2.12-mga-fix-build-with-automake.1.13-patch
Patch9:		wmakerconf-2.12-linkage.patch
Patch10:	wmakerconf-autoconf.patch
Patch11:	wmakerconf-2.12-glib-2.62.patch
BuildRequires:	gettext-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(wrlib)
BuildRequires:	pkgconfig(WINGs)
BuildRequires:	windowmaker

%description
WMakerConf (short for Window Maker Configurator) is a configuration
utility for the Window Maker window manager. Unlike the WPrefs.app program
included with Window Maker, WMakerConf uses the GTK+ graphics library. 


%prep
%setup -q
# force use of stdarg.h 
%patch0 -p0
# suppresss imlib support : broken. it's force to use gtk+1.2
%patch1 -p1 -b .imlib
# the configure file seems to be really broken

%patch2 -p1 -b .format-string
%patch3 -p1 -b .wmwriteproplisttofile
# (cjw) gettextize refuses to run from a script, so patch results + 2 suggested fixes
%patch4 -p1 -b .gettext
# (cjw) mark 2 translations fuzzy so msgfmt doesn't complain about a missing %%s
%patch5 -p1 -b .msgfmt
# (cjw) fix segfault on exit which is probably caused by getstyle not working
%patch6 -p1 -b .segfault
%patch7 -p0 -b .gtk
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
# create missing directories
mkdir -p %{buildroot}%{_datadir}/icons
# move stuff at the right place
mv %{buildroot}%{_datadir}/%{name}/%{name}.xpm %{buildroot}%{_datadir}/icons/
for docfile in README ABOUT-NLS AUTHORS COPYING ChangeLog MANUAL NEWS NLS-TEAM1
do
mv %{buildroot}%{_datadir}/%{name}/$docfile .
done

# fix the desktop file
sed -i -e 's/^Icon=.*$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*.desktop
sed -i -e 's/^Categories=.*$/Categories=GTK;Settings;/g' \
%{buildroot}%{_datadir}/applications/*.desktop

desktop-file-install \
	--remove-key="Encoding" \
	%{buildroot}%{_datadir}/applications/*.desktop --dir=%{buildroot}%{_datadir}/applications/

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README ABOUT-NLS AUTHORS COPYING ChangeLog MANUAL NEWS NLS-TEAM1
%{_bindir}/*
%{_mandir}/man1/*
%{_iconsdir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}/*


%changelog
* Wed Dec 07 2022 umeabot <umeabot> 2.12-20.mga9
+ Revision: 1918787
- Mageia 9 Mass Rebuild

* Fri Nov 13 2020 wally <wally> 2.12-19.mga8
+ Revision: 1645010
- add Gentoo patch to fix build with new glib
- add patch to fix build with new autoconf
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.12-18.mga7
+ Revision: 1301678
- Mageia 7 Mass Rebuild

* Tue Apr 04 2017 eatdirt <eatdirt> 2.12-17.mga6
+ Revision: 1095873
- Rebuild for new windowmaker

* Sat Feb 20 2016 umeabot <umeabot> 2.12-16.mga6
+ Revision: 971990
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 fwang <fwang> 2.12-15.mga6
+ Revision: 894076
- promote x11 for wrasterlibs
- fix linkage
- rebuild for new wrlib

* Wed Oct 15 2014 umeabot <umeabot> 2.12-14.mga5
+ Revision: 745948
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.12-13.mga5
+ Revision: 690324
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.12-12.mga4
+ Revision: 538363
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 fwang <fwang> 2.12-11.mga4
+ Revision: 489431
- rebuild for new windowmaker

* Mon Jan 14 2013 umeabot <umeabot> 2.12-10.mga3
+ Revision: 385719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 kamil <kamil> 2.12-9.mga3
+ Revision: 337985
- add P8: wmakerconf-2.12-mga-fix-build-with-automake.1.13-patch

* Thu Mar 08 2012 kamil <kamil> 2.12-8.mga2
+ Revision: 221406
- fix buildrequirements on WINGs and wraster libraries

* Thu Jan 26 2012 kamil <kamil> 2.12-7.mga2
+ Revision: 201913
- fix categories in .desktop file
- rebuild against new windowmaker 0.95
- clean .spec

* Sun Sep 18 2011 fwang <fwang> 2.12-6.mga2
+ Revision: 144991
- rever install
- fix gtk flags
- rebuild for new libpng
+ cjw <cjw>
- add BuildRequires: gettext-devel
- rebuild against shared windowmaker lib(s)
- patch3: compile fix
- re-do patch1: patch configure.ac instead of generated configure script
- run autotools
  o patch4: update gettext
  o patch5: mark 2 translations fuzzy so msgfmt doesn't complain
- patch6: fix segfault on exit

* Sun Mar 06 2011 ahmad <ahmad> 2.12-4.mga1
+ Revision: 65157
- make the .desktop file compliant with freedesktop specs

* Wed Feb 23 2011 ahmad <ahmad> 2.12-3.mga1
+ Revision: 57754
- add a patch to fix string format
- drop old/unneeded scriptlets
- imported package wmakerconf


* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.12-2mdv2009.0
+ Revision: 269698
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Apr 17 2008 Franck Villaume <fvill@mandriva.com> 2.12-1mdv2009.0
+ Revision: 195246
- fix buildrequires
- spec fix buildrequires
- import wmakerconf


